PORT-DEPS(1)

NAME
port-deps, port-rdeps - Display a dependency listing for the given port(s)

SYNOPSIS

port [-D portdir] deps
     [--index] [--no-build]
     [[portname | pseudo-portname | port-expressions | port-url]]

port [-D portdir] rdeps
     [--full] [--index] [--no-build]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

port deps lists all dependencies of the given port(s), i.e., the ports that need to be installed to build or use a port.

port rdeps recursively descends into the dependencies and displays a tree of dependencies for a given port.

OPTIONS

--full
    When using rdeps, display all branches of the dependency tree instead of listing each dependency only once.

--index
    Do not read Portfiles, but instead rely solely on the PortIndex information. Note that this option will prevent the dependencies reported from reflecting the effects of any variants specified.

--no-build
    Exclude dependencies only required at build time, i.e., fetch, extract, and build dependencies.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

DEPENDENCY RELATIONS

Do not confuse dependents and dependencies (or, shortened, deps). Refer to the following example to understand the difference:

    portA --> portB

portA depends on portB, i.e., portA needs portB to run. Because of that, portB is a dependency (or dep) of portA. After installing portA, portB has been automatically installed. At this point, portA has become a dependent of portB. You can only uninstall portB once all of its dependents (i.e., including portA) have been uninstalled.

SEE ALSO

port(1), port-variants(1)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>